Skip to content

Batch Move

POST
/api/v1/files/batch-move
curl --request POST \
--url https://aura.strangeworks.com/api/v1/files/batch-move \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "deployment_name": "example", "moves": [ { "dest_path": "example", "source_path": "example" } ], "project_id": "example", "snapshot_id": "example", "source": "deployment" }'
Media typeapplication/json
FileBatchMoveRequest
object
deployment_name
Any of:
string
moves
required
Moves
Array<object>
MovePair
object
dest_path
required
Dest Path
string
>= 1 characters
source_path
required
Source Path
string
>= 1 characters
project_id
Any of:
string
snapshot_id
Any of:
string
source
required
Source
string
Allowed values: deployment workspace snapshot

Successful Response

Media typeapplication/json
BatchMoveResponse
object
errors
Errors
Array<object>
BatchMoveError
object
error
required
Error
string
source_path
required
Source Path
string
moved
required
Moved
integer
Examplegenerated
{
"errors": [
{
"error": "example",
"source_path": "example"
}
],
"moved": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}